### Class

# Gcr CertificateExtensionAuthorityKeyIdentifier

unstable since: 4.3.91

#### Description [src]

    final class Gcr.CertificateExtensionAuthorityKeyIdentifier : Gcr.CertificateExtension
    {
      /* No available fields */
    }

A certificate extension that contains the authority key identifier (SKI).

This extension may expose the authority key identifier directly, which should match the subject key identifier of the parent certificate.

It may also expose a combination of issuer name and serial number of the used certificate instead. This is rare however.

Available since: 4.3.91

#### Ancestors

- GcrCertificateExtension
- GObject

#### Instance methods

###### gcr_certificate_extension_authority_key_identifier_get_authority_cert_issuer

Returns the issuer, described by a list of `GcrGeneralName`s.

###### gcr_certificate_extension_authority_key_identifier_get_authority_cert_serial_number

Returns the serial number of the certificate that was used to sign this certificate.

###### gcr_certificate_extension_authority_key_identifier_get_key_id

Returns the raw bytes containing the authority key identifier, if present.

##### Methods inherited from GcrCertificateExtension (4)

###### gcr_certificate_extension_get_description

Returns a user-displayable description of the OID that identifies the extension, if known.

unstable since: 4.3.90

###### gcr_certificate_extension_get_oid

Returns the OID that identifies the extension.

unstable since: 4.3.90

###### gcr_certificate_extension_get_value

Returns the raw value in bytes of the extension.

unstable since: 4.3.90

###### gcr_certificate_extension_is_critical

Returns wether the certificate extension is marked critical.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from GcrCertificateExtension (3)

###### Gcr.CertificateExtension:critical

Whether this certificate is critical.

###### Gcr.CertificateExtension:oid

The Object Identifier (OID) that identifies the extension.

###### Gcr.CertificateExtension:value

The raw value in bytes of the extension.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GcrCertificateExtensionAuthorityKeyIdentifierClass {
      GcrCertificateExtensionClass parent_class;

    }

No description available.

###### Class members

`parent_class: GcrCertificateExtensionClass`

  No description available.